Subject: Re: [PATCH 07/22] RDMA/irdma: Register an auxiliary driver and implement private channel OPs

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 25 Jan 2021 09:28:34 -0400

On Sun, Jan 24, 2021 at 03:45:51PM +0200, Leon Romanovsky wrote:
> On Fri, Jan 22, 2021 at 05:48:12PM -0600, Shiraz Saleem wrote:
> > From: Mustafa Ismail <[email-masked]>
> >
> > Register irdma as an auxiliary driver which can attach to auxiliary RDMA
> > devices from Intel PCI netdev drivers i40e and ice. Implement the private
> > channel ops, add basic devlink support in the driver and register net
> > notifiers.
> 
> Devlink part in "the RDMA client" is interesting thing.
> 
> The idea behind auxiliary bus was that PCI logic will stay at one place
> and devlink considered as the tool to manage that.

Yes, this doesn't seem right, I don't think these auxiliary bus
objects should have devlink instances, or at least someone from
devlink land should approve of the idea.

Especially since Mellanox is already putting them on the PCI function,
it seems like the sort of pointless difference AlexD was complaining
about.

Jason